%global alt_name GPaste

Name:           gpaste
Version:        1.6
Release:        1%{?dist}
Summary:        Clipboard management system

Group:          User Interface/Desktops
License:        GPLv3+
URL:            https://github.com/Keruspe/GPaste
Source0:        https://github.com/downloads/Keruspe/%{alt_name}/%{name}-%{version}.tar.xz

BuildRequires:  desktop-file-utils
BuildRequires:  dbus-devel
BuildRequires:  gtk3-devel
BuildRequires:  intltool

%description
gpasted is a clipboard management daemon with DBus interface. gpaste is its CLI
client and gpaste-settings is a tool to edit gpasted settings.


%package -n gnome-shell-extension-%{name}
Summary:        GNOME Shell extension for GPaste
Group:          User Interface/Desktops
Requires:       gnome-shell
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description -n gnome-shell-extension-%{name}
%{summary}.


%prep
%setup -q


%build
# Applet disabled since it is unusable in GNOME 3
%configure \
  --disable-schemas-compile \
  --disable-applet
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

# Install bash/zsh completion support
install -d $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/
install -pm 0644 data/completions/%{name} -t $RPM_BUILD_ROOT%{_sysconfdir}/bash_completion.d/
install -d $RPM_BUILD_ROOT%{_datadir}/zsh/site-functions/
install -pm 0644 data/completions/_%{name} -t $RPM_BUILD_ROOT%{_datadir}/zsh/site-functions/

desktop-file-validate $RPM_BUILD_ROOT%{_datadir}/applications/%{name}-settings.desktop
desktop-file-validate $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart/gpasted.desktop

%find_lang %{alt_name}


%postun
if [ $1 -eq 0 ] ; then
  glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi


%posttrans
glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :


%files -f %{alt_name}.lang
%doc AUTHORS ChangeLog COPYING FIXME NEWS README TODO
%{_bindir}/%{name}
%{_libexecdir}/%{name}/
%{_datadir}/applications/%{name}-settings.desktop
%{_datadir}/dbus-1/services/*.service
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/zsh/
%{_mandir}/man1/%{name}.1.*
%{_sysconfdir}/bash_completion.d/
%{_sysconfdir}/xdg/autostart/*.desktop


%files -n gnome-shell-extension-%{name}
%{_datadir}/gnome-shell/extensions/GPaste@gnome-shell-extensions.gnome.org/


%changelog
* Sun Sep 25 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.6-1
- Update to 1.6
- Remove no longer needed gpaste-1.5-DOS.patch patch

* Wed Sep 14 2011 Mohamed El Morabity <melmorabity@fedorapeople.org> - 1.5-1
- Update to 1.5
- Remove gpaste-1.3-remove_applet_refs.patch patch (there is no more reference
  to the GNOME 2 applet in documentation and completion files)
- Add gpaste-1.5-DSO.patch to fix DSO linking

* Sat Sep 03 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.3-1
- Update to 1.3

* Sun Jul 10 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 1.2-1
- Update to 1.2

* Sat Jun 25 2011 Mohamed El Morabity <melmorabity@fedoraproject.org> - 0.99-1.17dd47git
- Initial RPM release
